Bug 1113899 (CVE-2014-4608) - CVE-2014-4608 kernel: lzo1x_decompress_safe() integer overflow
Summary: CVE-2014-4608 kernel: lzo1x_decompress_safe() integer overflow
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2014-4608
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20140626,reported=2...
Depends On: 1113900 1113901 1113902 1113903 1113904 1113905
Blocks: 1112414
TreeView+ depends on / blocked
 
Reported: 2014-06-27 07:34 UTC by Petr Matousek
Modified: 2019-06-11 11:13 UTC (History)
26 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
An integer overflow flaw was found in the way the lzo1x_decompress_safe() function of the Linux kernel's LZO implementation processed Literal Runs. A local attacker could, in extremely rare cases, use this flaw to crash the system or, potentially, escalate their privileges on the system.
Clone Of:
Environment:
Last Closed: 2019-06-08 02:33:42 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:1392 normal SHIPPED_LIVE Important: kernel security, bug fix, and enhancement update 2014-10-14 01:28:44 UTC
Red Hat Product Errata RHSA-2015:0062 normal SHIPPED_LIVE Important: kernel security, bug fix, and enhancement update 2015-01-20 22:21:42 UTC

Description Petr Matousek 2014-06-27 07:34:50 UTC
An integer overflow can occur when processing any variant of a "literal run"
in the lzo1x_decompress_safe function. Each of these three locations is
subject to an integer overflow when processing zero bytes.

This exposes the code that copies literals to memory corruption. An
interesting side effect of the vulnerable code is that the value of 'op'
can point to a region of memory just before the start of 'out'.

It should be noted that on 64bit architectures, the overflow is still
possible, but impractical. An overflow would require so much input data that
an attack would obviously be infeasible even on modern computers.

Upstream patch:
https://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=206a81c18401c0cde6e579164f752c4b147324ce

References:
http://seclists.org/oss-sec/2014/q2/666

Acknowledgements:

Red Hat would like to thank Don A. Bailey from Lab Mouse Security for reporting this issue.

Comment 3 Petr Matousek 2014-06-27 07:38:50 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1113905]

Comment 4 Petr Matousek 2014-06-27 07:40:29 UTC
Statement:

This issue does not affect the Linux kernel packages as shipped with Red Hat Enterprise Linux 5.

Red Hat Enterprise Linux 7 and Red Hat Enterprise MRG 2 only support 64-bit architectures. Since exploiting this issue on 64-bit platforms is not feasible given the amount of input data that is necessary to trigger the integer overflow, we are currently not planning planning to fix this issue in Red Hat Enterprise Linux 7 and Red Hat Enterprise MRG 2.

Comment 5 Fedora Update System 2014-06-30 10:28:52 UTC
kernel-3.14.9-200.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Tomas Hoger 2014-06-30 14:52:52 UTC
Blog post and security report from the original reporter:

http://blog.securitymouse.com/2014/06/raising-lazarus-20-year-old-bug-that.html
https://www.securitymouse.com/lms-2014-06-16-2

Comment 8 Fedora Update System 2014-07-25 10:08:31 UTC
kernel-3.14.13-100.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Martin Prpič 2014-10-10 08:45:51 UTC
IssueDescription:

An integer overflow flaw was found in the way the lzo1x_decompress_safe() function of the Linux kernel's LZO implementation processed Literal Runs. A local attacker could, in extremely rare cases, use this flaw to crash the system or, potentially, escalate their privileges on the system.

Comment 10 errata-xmlrpc 2014-10-14 06:16:13 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2014:1392 https://rhn.redhat.com/errata/RHSA-2014-1392.html

Comment 12 errata-xmlrpc 2015-01-20 17:22:33 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6.5 EUS - Server and Compute Node Only

Via RHSA-2015:0062 https://rhn.redhat.com/errata/RHSA-2015-0062.html


Note You need to log in before you can comment on or make changes to this bug.